Results 1 to 6 of 6

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: A simple answer regarding my iPhone 4S would be immensely appreciated

  1. #1
    Default A simple answer regarding my iPhone 4S would be immensely appreciated
    I have a contract with T-Mobile and was planning on switching from blackberry to an iPhone. However, I made the mistake of purchasing an iPhone 4S version 5.1 which as of now, cannot be unlocked. What I'm looking to do is trade someone for an iPhone 4 or even a 4S. My question is, what firmware or versions would be compatible for this? I would really appreciate some help here, it was a tough blow as it is to find out I won't be able to use this beautiful phone in my hands.

  2. #2
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    You would ultimately want an iPhone 4 with the baseband 1.59.00. The firmware version shouldn't matter if the baseband is 1.59.00, but it'd be best on 5.0/1 or below. This can be unlocked with a software unlock, meaning no additional purchases such as a Gevey SIM is necessary.

    That's a rare find, so if you can't find it, then you'd want an iPhone 4 on 5.0.1 or below with baseband below 4.10.01. You could then get the Gevey Ultra to unlock it. I'm not sure if it works with 5.1 though, it could I suppose.

    If you want a 4S, you'd want one on 5.0/1 for best results. The baseband should be 1.0.11, 1.013, or 1.0.14. These are unlockable with the Gevey Ultra S. Just try to avoid getting a device with 5.1, the jailbreak is tethered for the 4/4S and it's not quite refined yet. You probably don't want to have a tethered jb if you're new to the iPhone.

    You could also very well wait for the untethered jb for 5.1 to come out before doing anything though...I'm not sure if the baseband for 5.1 has changed for 5.0.1. If it has then you'd probably want to trade off the device. If not, it may work as soon as Gevey or any other SIM unlock company makes their product compatible with 5.1.

    IMO, I'd just trade it off now though. I'm impatient. So that's what I would do, but it's up to you.

  3. #3
    Thank you so much for your detailed answer, I'm a noob to all this so it can all get very confusing. Yes, that's precisely why I don't want to wait, because I'm so impatient. I've found someone willing to trade with baseband 04.10.01, which according to your list, qualifies for the unlock/jailbreak! again, thank you!
    Last edited by randyharbor; 03-19-2012 at 03:24 PM.

  4. #4
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Yup, just be sure that it doesn't have firmware 5.1, like I said, for new iPhone users, you should try avoiding tethered and beta jailbreaks.

  5. #5
    perhaps its time to update this sticky? it still says that iphone 4S cant be unlocked.

  6. #6
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Should probably tell the author that

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •